Subject: Re: Circular references

From: Paul Singleton <[email-masked]>
Date: Fri, 15 Sep 2000 16:05:56 +0100

"Richard A. O'Keefe" wrote:

> Any cyclic term can be handled this way, by adding suitable equations
> to the body.  You will find it hard to write the code that does that,
> but that should make it a bit clearer why cyclic terms are a BAD THING.

I don't accept that the inelegance of a workaround generally indicates
that one is trying to do a bad thing (e.g. create zero-length arrays
in Visual Basic) so please explain why it does in this particular case.

Paul Singleton